
CoCoA-5 - Feature #347

C5 cannot compute derivative of a ratfn

02 May 2013 16:49 - John Abbott

Status: Closed Start date: 02 May 2013

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: CoCoA-5 function: new Estimated time: 0.00 hour

Target version: CoCoA-5.0.3 Spent time: 3.50 hours

Description

Add formal derivative of a rat fn -- might also be missing from CoCoALib?

History

#1 - 20 May 2013 11:31 - John Abbott

- Category set to CoCoA-5 function: new

- Status changed from New to Feedback

- Assignee set to John Abbott

- Target version set to CoCoA-5.0.3

Modified at CoCoALib level: FractionField now has a myDeriv mem fn (which expects the base ring to be a PolyRing).

Note that the main "dispatch" fn deriv is actually in PolyRing.C; it checks whether the ring is a FractionField and, if so, delegates the work to FrF.

Still to do: add tests, check documentation.

#2 - 21 May 2013 17:03 - John Abbott

- % Done changed from 0 to 90

Added (v. simple) test and updated doc.

#3 - 31 May 2013 09:42 - Anna Maria Bigatti

added example in manual.

#4 - 19 Feb 2014 21:34 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

This has been in feedback for 9 months without any problems, so closing.
